CopyHero

List Watched Stores For Agent

GET
/api/v1/watchlist/agent/stores

Bounded discovery; may commit the canonical LIFO downgrade trim.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Query Parameters

search_query?|

Search query string

sort_by?Sort By

Field to sort by

Default"created_at"
sort_order?Sort Order

Sort direction

Default"desc"
Value in"asc""desc"
skip?Skip

Number of records to skip

Range0 <= value
Default0
limit?Limit

Maximum watched stores returned to an agent (1-100).

Range1 <= value <= 100
Default50
tags?array<>|

Only stores the viewer tagged with any of these tags. OR within the list, AND against every other filter — the same convention as the product list's tags / vendor / product_type. At most 100 tags of at most 50 characters each.

Response Body

Successful Response

application/json
  1. response
data*array<>
count*Count
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/watchlist/agent/stores'
Example Response
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "url": "string",      "name": "string",      "status": "pending",      "status_detail": "string",      "product_count": 0,      "initial_crawl_completed": true,      "listings_last_7_days": 0,      "listings_last_30_days": 0,      "listing_activity_12m": [        {          "month": "2019-08-24",          "count": 0        }      ],      "traffic_country": "string",      "search_traffic_12m": [        0      ],      "screenshot_url": "string",      "tracking_pixels": {        "property1": [          "string"        ],        "property2": [          "string"        ]      },      "paused": true,      "scan_interval_minutes": 0,      "subscribed_at": "2019-08-24T14:15:22Z",      "tags": [        "string"      ]    }  ],  "count": 0}